Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [package]

Emacs includes a facility that lets you easily download and install packages that implement additional features. Each package is a separate Emacs Lisp program, sometimes including other components such as an Info manual.

7
votes
0answers
888 views

error in process filter: could not create connection to marmalade-repo.org:433

When I run package-install in windows with Emacs 24.5.1 (i686-pc-mingw32) of 2015-04-11 on LEG570 I got error error in process filter: could not create connection to marmalade-repo.org:433 According ...
4
votes
0answers
29 views

A workflow for managing compiled elisp packages with different versions of emacs

I am using different versions of emacs, on different computers. On some of those (work computers) I don't really have a choice to update, whereas for my personal computers, I like to run the latest ...
4
votes
0answers
85 views

Info basics: where is package Info?

I just grabbed csv from elpa (melpa) and, of course, the install buffer had the blurb about csv. I take it that blurb is an Info file somewhere? Or is it just a section of the csv.el comments? In ...
4
votes
0answers
218 views

How can I read -mdoc /-mandoc man pages using `M-x woman`?

I have been successfully using M-x woman to access the linux man pages. But when I tried to read the tmux manpage using woman, it did not work. But M-: (man "tmux") works. Using woman to access ...
3
votes
0answers
226 views

Spacemacs layer where package order matters

I'm trying to make a 'speedbar' layer that uses projectile-speedbar. The problem is projectile-speedbar won't compile unless sr-speedbar has already been compiled. Since spacemakes compiles the ...
2
votes
0answers
50 views

Are there any lisp projects like jazz band?

I was curious is there anything like https://jazzband.co/ but for emacs lisp where you can submit packages so that they can be submitted / maintained by a group rather than an individual ?
2
votes
0answers
95 views

How to list all the packages installed from source

Is there a way to list all the packages originally installed via package-install-file? Looking at the results of package-list-packages, it doesn't differentiate between different installation methods....
2
votes
0answers
44 views

Error when I try to re-install package after deleting it

I used package-install to install the pamparam package. It worked. But in playing with it, I got it into a weird state and decided to uninstall and re-install. I uninstalled by deleting its dir in ....
2
votes
0answers
61 views

Distributing emacs packages with module functionality

How to distribute an emacs package via Elpa that includes OSX and Linux module written in C that needs to be compiled locally?
2
votes
0answers
349 views

Capture template `a': outline-show-all

After updating my Emacs packages, org capture templates fail with Capture template `a': outline-show-all, where a is the capture keystroke. Backtrace: Debugger entered--Lisp error: (error "Capture ...
2
votes
0answers
204 views

Org broke! How do I downgrade?

I started having some problems with org mode after upgrading my melpa packages. One of the problems is described in this question. I'd like to simply downgrade to my previous version of org-mode ...
2
votes
0answers
335 views

How can I ensure that Org-Mode is Up-To-Date in init.el?

I want my init.el file to get the latest version of org from orgmode.org before loading my pretty-init.org. My init.el: (add-to-list 'package-archives '("org" . "http://orgmode.org/elpa/...
1
vote
0answers
23 views

How can I find out which packages were not available?

When I run package-install-selected-packages I see the following message: 1 packages are not available (the rest already installed) But it doesn't say which package was not available. All the ...
1
vote
0answers
30 views

Automatically download external packages

How can I configure my init.el download packages that are not in (M)Elpa and install them automatically (if not already installed)? Something like doing it with wget or with git (as you do in vim) ...
1
vote
0answers
38 views

Not successful to enter mmm-jinja2 mode after installation using MELPA

So what I have tried is to first install the package by using MELPA: M-x package-install RET mmm-jinja2 I looked up where the package have been installed and found it to be at "~/.emacs.d/elpa/mmm-...
1
vote
0answers
98 views

Package init and refresh problems

Due to unknown reason(s), the package manager in my Emacs 25.3 cannot refresh properly anymore: whenever I try to do M-x list-packages it throws an error: error in process filter: package-read-...
1
vote
0answers
79 views

Package lacks a “Version” or “Package-Version” error, even if the “Version” info exists

After upgrading cask the error message changed. Wrong type argument: sequencep, pinyin-mode Original Question I want to use my elisp through cask. But it failed with error: Dependency pinyin-mode ...
1
vote
0answers
39 views

How to RPC from External Process to Emacs

How can I RPC from an external application into Emacs then have a function in Emacs handle the RPC? For example, I would like to make a D3.js webpage with a dependency graph of a codebase, view and ...
1
vote
0answers
78 views

Lisp nesting exceeds max-lisp-eval-depth in python-mode 6.2.3, Emacs 25.2

I have this simple Python test program: #! /usr/bin/env python3 import numpy as np x = np.array([0, 1, 2, 3]) y = np.array([0, 1, 4, 9]) def gen_segments(x, y): for i in range(0, len(x)-1): ...
1
vote
0answers
85 views

Pinning version of a “core” package

How can I pin a version of "smartparens". I thought If I add this to dotspacemacs-additional-packages: (smartparens :location (recipe :fetcher github :repo "Fuco1/smartparens" ...
1
vote
0answers
216 views

Adding package from non-standard ELPA Repository to Layer

So I have a package I would like to add from an ELPA repository different than MELPA. The repository is called "billpiel" and the link is http://billpiel.com/emacs-packages/. I would like to add the ...
1
vote
0answers
49 views

Match paren problem in the GUI version of Emacs

I use the built in parentheses match (show-paren-mode t). But there seems to be somewhat of a glitch when it highlights the matching parentheses, because it moves the bottom lines further apart when ...
1
vote
0answers
134 views

Error in using “helm-projectile-find-file”

This is my config in init.el: (require 'helm-projectile) (projectile-global-mode) (setq projectile-completion-system 'helm) (helm-projectile-on) (setq projectile-indexing-method 'alien) (setq ...
1
vote
0answers
52 views

Do Any Hooks for (Specific) Package Installation Exist?

I have a StumpWM configuration that loads a file contained in the SLIME package installed through Emacs (swank-loader.lisp). However, problems arise when my SLIME package is updated, because the ...
1
vote
0answers
49 views

describe-package commentary for non built-in packages

Currently, it seems like describe-package will only show the contents of the 'commentary' section for packages that are builtin. For example (describe-package 'python) show a detailed description of ...
1
vote
0answers
65 views

Packages only working “once” after install

I'm trying to get git-gutter-fringe+ working under emacs 24.5.5 on OS X, but I'm having some trouble. In general, it works fine upon install, but on subsequent restarts the package is not loaded. I'm ...
1
vote
0answers
24 views

Feature query to auto-complete mode

Basically, I am looking for an autocomplete-mode that suggests words as ido-mode does on file. Meaning, if I've typed "em" and the autocomplete suggests two words "Emacs" and "Emacsclient" , it should ...
1
vote
0answers
462 views

Debugging a “Warning (bytecomp): reference to free variable” message

I just upgraded to a new bleeding edge version of Emacs in OS X: brew install emacs --HEAD --use-git-head --with-cocoa --with-gnutls --with-rsvg --with-imagemagick I understand that this version is ...
0
votes
0answers
6 views

package-install hangs despite setting proxy settings in url-proxy-services

I have my url-proxy-services set like this: (("http" . "some-proxy:3128") ("https" . "some-proxy:3128")) However, downloading a package like forge fails. Some of its dependencies like emacsql and ...
0
votes
0answers
28 views

Cannot load the paradox package in Emacs

I am using Emacs 24.5 on Mac OS and trying to install the paradox package through Melpa. When I type the command M-x `package-install' RET paradox I get the response [No match] How can I install ...
0
votes
0answers
112 views

clang-format malfunctioning(?) Or am I not fully understanding how clang-format works?

I installed the clang-format package from melpa. I then added the following lines to my init file: (require 'clang-format) I then created a test directory, cpp-proj with one file, main.cpp. main....
0
votes
0answers
162 views

Evil mode not working

Using emacs 25.2.2 on Kubuntu 18.04. Using list-packages I installed evil. Using customize-variable I added (evil-mode t) in my ~/.emacs.d/init.el file. But still when I restart emacs, there is no ...
0
votes
0answers
26 views

Why ace-window doesn't show sometimes the window id?

I initialize the package ace-window with this code: (use-package ace-window :ensure t :config (global-set-key (kbd "M-p") 'ace-window) (custom-set-faces '(aw-leading-char-face ((t ...
0
votes
0answers
46 views

Trying to use magit fails with `require: Symbol’s value as variable is void: git-commit-mode-map`

The first post-installation task in magit manual is to check the version: M-x magit-version RET This gives the error: require: Symbol’s value as variable is void: git-commit-mode-map Predictably, ...
0
votes
0answers
155 views

Spacemacs install package : error package lacks a version

I would like to use the org-books package in spacemacs. As suggested by spacemacs' documentation I edited my .spacemacs file as follows: dotspacemacs-additional-packages '((org-books :location (...
0
votes
0answers
39 views

Combine use-package and list-packages

Is it possible to automatically add use-package statement into .emacs file after installation through list-packages? I think it should be done through hooks, but maybe already exist solution from ...
0
votes
0answers
36 views

How to delete auto-complete package?

I don't understand emacs packages very well so the following has me confused. I installed the package "auto-complete" using M-x package-install [ret] auto-complete [ret]. Now I want to remove it so I ...
0
votes
0answers
285 views

Warning on initialization

I recently started using Emacs (the GUI version for OS X). I've just done some minor configuration in my ~/.emacs file, and, after installing the paradox package, this warning popped out: Warning (...
0
votes
0answers
41 views

Can't customize xah-fly-keys

I've read the documentation about customizing but I think my knowledge of Lisp is limiting things a bit. I want to bind a in command mode to move-beginning-of-line and QWERTY q (Dvorak) to move-end-of-...
0
votes
0answers
189 views

No Match on elpy

I am trying to install elpy. I added the lines (require 'package) (add-to-list 'package-archives '("melpa-stable" . "https://stable.melpa.org/packages/") ) (package-initialize) (elpy-...
0
votes
0answers
58 views

Accidentally deleted Ivy. Now what?

I went to M-x list-packages and accidentally deleted Ivy. How do I get it back in M-x list packages now?
0
votes
0answers
158 views

Why won't packages I've installed load properly?

I'm brand new to emacs coming from vim. I've read GNU Package Installation, and MELPA. I've installed evil via M-x package-install [RET] evil [RET], and it works in the same session when I run it via ...
0
votes
0answers
28 views

Set window layout for Idris mode

Is there a way to set a window layout for idris-mode like Coq Proof General's hybrid layout? I would like to work with idris using the following horizontal layout: < Code > | < Idris ...
0
votes
0answers
128 views

can not use 'package-delete' to remove package

when I use package-delete to delete some unused packages then I restart and every packages I delete above are appearing in the package list is anyone encountered this situation?
0
votes
0answers
276 views

lsp-rust: require + provide but still void-function

I am trying to use lsp-rust package. I installed it from melpa. After I run it I got message in *Messages*: Error loading autoloads: (void-function lsp-define-stdio-client) There are two packages: ...
0
votes
0answers
80 views

Cannot install auto-complete-auctex

I just installed auto-complete-auctex from melpa repository. At package documentation says to enable by putting in my .init file the following command (require 'auto-complete-auctex) However, when ...
0
votes
0answers
1k views

When installing package from MELPA, get error message: Package `emacs-24.4' is unavailable

I have started getting the error message 'Package emacs-24.4 is unavailable' when trying to install packages from MELPA. I'm using GNU Emacs 24.3.1 (x86_64-pc-linux-gnu). Similar questions have been ...
0
votes
0answers
46 views

How to install movie.el (movie browser for Emacs)?

I found out there is movies browser for Emacs. But there is no instruction of how to get it works. https://github.com/larsmagne/movie.el
0
votes
0answers
59 views

get/set package user-dir before installing org-mode

I have emacs 24.5.1 on Xubuntu 14.04. I want to install the latest version of the org package available in GNU ELPA (20150929). Following the advice on org-mode website, I launch emacs with the -q ...
0
votes
0answers
76 views

Stop Emacs from adding all subdirs to default-directory

I'm having trouble stopping Emacs from loading all packages in my default-directory. When I call c-h v load-packages I get a listing of all subdirectories inside my elpa directory, which I want to ...